"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.petDetailsQuery = exports.petDeleteMutation = exports.petListQuery = exports.ownerDeleteMutation = exports.ownerDetailsQuery = exports.ownerListQueryWithFilter = exports.ownerListQuery = exports.ownerUpsertMutation = exports.getOwnerQuery = exports.notNullScalarsUpsertMutation = exports.notNullScalarsDetailsQuery = exports.notNullScalarsDeleteMutation = exports.notNullScalarsListQuery = void 0;
exports.notNullScalarsListQuery = `
query Get_NN_Scalars_List {
    notNullScalarsTestEntityList {
      id
      bigDecimalNotNull
      bigIntNotNull
      dateTestNotNull
      localDateNotNull
      localDateTimeNotNull
      localTimeNotNull
      offsetDateTimeNotNull
      offsetTimeNotNull
      stringNotNull
      urlNotNull
    }
  }`;
exports.notNullScalarsDeleteMutation = `
mutation Delete_NN_Scalars($id: ID!) {
    deleteNotNullScalarsTestEntity(id: $id)
  }`;
exports.notNullScalarsDetailsQuery = `
query Get_NN_Scalars($id: ID) {
    notNullScalarsTestEntity(id: $id) {
      id
      bigDecimalNotNull
      bigIntNotNull
      dateTestNotNull
      localDateNotNull
      localDateTimeNotNull
      localTimeNotNull
      offsetDateTimeNotNull
      offsetTimeNotNull
      stringNotNull
      urlNotNull
    }
  }`;
exports.notNullScalarsUpsertMutation = `
mutation Update_NN_Scalars($input: NotNullScalarsTestEntityInput) {
    updateNotNullScalarsTestEntity(input: $input) {
      id
    }
  }`;
exports.getOwnerQuery = `
query Get_Owner($id: BigInteger) {
  owner(id: $id) {
    id
    firstName
    lastName
    city
    address
    email
    telephone
  }
}
`;
exports.ownerUpsertMutation = `
mutation Update_Owner($input: OwnerInputDTO) {
  update_Owner(input: $input) {
    id
  }
}
`;
exports.ownerListQuery = `
query Get_Owner_List {
  ownerList {
    id
    firstName
    lastName
    city
    address
    telephone
    email
  }
}
`;
exports.ownerListQueryWithFilter = `
query Get_Owner_List_With_Filter($filter: OwnerFilterInput) {
  ownerByNamesList(filter: $filter) {
    id
    firstName
    lastName
    city
    address
    telephone
    email
  }
}`;
exports.ownerDetailsQuery = `
query Get_Owner($id: BigInteger) {
  owner(id: $id) {
    id
    firstName
    lastName
    city
    address
    telephone
    email
  }
}
`;
exports.ownerDeleteMutation = `
mutation Delete_Owner($id: BigInteger!) {
  delete_Owner(id: $id)
}
`;
exports.petListQuery = `
query Get_Pet_List {
  petList {
    id
    identificationNumber
    birthDate
    type {
      id
      name
    }
    owner {
      id
      firstName
      lastName
    }
  }
}
`;
exports.petDeleteMutation = `
mutation Delete_Pet($id: BigInteger!) {
  delete_Pet(id: $id)
}
`;
exports.petDetailsQuery = `
query Get_Pet($id: BigInteger) {
  pet(id: $id) {
    id
    identificationNumber
    birthDate
    type {
      id
      name
    }
    owner {
      id
      firstName
      lastName
    }
  }
}
`;
//# sourceMappingURL=queries.js.map